# $Revision: 1.19 $, $Date: 2011/09/08 06:17:47 $
Summary:	Calcurse - text-based personal organizer
Summary(pl.UTF-8):	Calcurse - tekstowy organizer
Name:		calcurse
Version:	2.9.2
Release:	0.1
License:	GPL v2
Group:		Applications
Source0:	http://calcurse.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	5cb7d9c9edddc551fc62c9c5733591c5
URL:		http://calcurse.org/
BuildRequires:	ncurses-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calcurse is a text-based personal organizer which helps keeping track
of events and everyday tasks. It contains a calendar, a 'todo' list,
and puts your appointments in order. The user interface is
configurable, and one can choose between different color schemes and
layouts. All of the commands are documented within an online help
system.

%description -l pl.UTF-8
Calcurse jest tekstowym organizerem, który pomaga w śledzeniu
codziennych czynności. Zawiera kalendarz, listę zadań do zrobienia
"todo", potrafi uporządkować listę spotkań. Interfejs użytkownika jest
konfigurowalny i można wybrać jeden ze schematów kolorowania i układu
okien. Wszystkie komendy programu są udokumentowane w systemie pomocy
online.

%prep
%setup -q

%build
%configure \
	CPPFLAGS="%{rpmcppflags} $(pkg-config --cflags ncursesw)"
	LDFLAGS="%{rpmldflags} $(pkg-config --libs ncursesw)"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS doc/* TODO NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: calcurse.spec,v $
Revision 1.19  2011/09/08 06:17:47  uzsolt
- 2.9.2
- added ncursesw cflags to configure
- remove ChangeLog from doc

Revision 1.18  2011/05/29 16:00:23  uzsolt
- 2.9.0
- change url
- does not build

Revision 1.17  2010/05/29 08:54:08  uzsolt
- 2.8
- remove patch0

Revision 1.16  2009/12/15 21:12:07  pawelz
- applied bufsize.patch (bugfix from author of calcurse)
- thx Kamil Mroczkowski <nospe (at) o2.pl> for reporting this
- rel 2

Revision 1.15  2009/02/24 15:59:07  piotrek
- up to 2.5

Revision 1.14  2009/01/07 10:05:12  piotrek
- up to 2.4

Revision 1.13  2008/11/28 13:13:25  pawelz
- reverted source url
- rel 2

Revision 1.12  2008/11/28 12:16:26  pawelz
- up to 2.3
- changed source url

Revision 1.11  2008/09/12 16:35:39  piotrek
- 2.2

Revision 1.10  2008/08/03 10:31:52  piotrek
- 2.1

Revision 1.9  2008/02/02 15:20:37  piotrek
- 1.9

Revision 1.8  2007-10-03 08:07:35  piotrek
- 1.8

Revision 1.7  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.5  2007/01/25 19:41:35  darekr
- added AUTHORS to %doc

Revision 1.4  2007/01/25 19:30:12  piotrek
- up to 1.7

Revision 1.3  2006/12/19 19:25:48  qboosh
- don't include ABOUT-NLS in doc

Revision 1.2  2006/12/18 00:35:15  darekr
- BR: sed 4.0

Revision 1.1  2006/12/17 09:04:41  piotrek
- initial 1.6
